#import "GBAnimatorViewController.h"

@interface GBAnimatorViewController ()
@property (nonatomic,assign) BOOL isViewShowing;
@end

@implementation GBAnimatorViewController

- (void)viewDidLoad {
    [[NSNotificationCenter defaultCenter] addObserver:self
                                             selector:@selector(startAnimations)
                                                 name:UIApplicationDidBecomeActiveNotification
                                               object:nil];
    [[NSNotificationCenter defaultCenter] addObserver:self
                                             selector:@selector(stopAnimations)
                                                 name:UIApplicationWillResignActiveNotification
                                               object:nil];
}

- (void)startAnimations {
    if (!self.isViewShowing) return;

    if ([self.view respondsToSelector:@selector(startAnimations)]) {
        [self.view performSelector:@selector(startAnimations)];
    }
}

- (void)stopAnimations {
    if (!self.isViewShowing) return;
    
    if ([self.view respondsToSelector:@selector(stopAnimations)]) {
        [self.view performSelector:@selector(stopAnimations)];
    }
}

- (void)viewDidAppear:(BOOL)animated {
    self.isViewShowing = YES;
    [super viewDidAppear:animated];
    [self startAnimations];
}

- (void)viewWillDisappear:(BOOL)animated {
    self.isViewShowing = NO;
    [super viewWillDisappear:animated];
    [self stopAnimations];
}

@end
